# Database Normalization

Database normalization is the process of structuring a relational database in accordance with a series of so-called normal forms in order to reduce data redundancy and improve data integrity. It was first proposed by Edgar F. Codd as part of his relational model.

Normalization entails organizing the columns (attributes) and tables (relations) of a database to ensure that their dependencies are properly enforced by database integrity constraints. It is accomplished by applying some formal rules either by a process of synthesis (creating a new database design) or decomposition (improving an existing database design).

<ResourceGroupTitle>Free Content</ResourceGroupTitle>

<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.guru99.com/database-normalization.html'>What is Normalization in DBMS (SQL)? 1NF, 2NF, 3NF, BCNF Database with Example</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://en.wikipedia.org/wiki/Database_normalization'>Database normalization</BadgeLink>
<BadgeLink badgeText='Watch' href='https://www.youtube.com/watch?v=xoTyrdT9SZI'>Basic Concept of Database Normalization</BadgeLink>