# Compiling Apps

# gcc

The GNU Compiler Collection (GCC) is a compiler system produced by the GNU Project supporting various programming languages also known as GCC. GCC is a key component of the GNU tool chain and the standard compiler for most Unix-like operating systems. Compiler Collection is a set of compilers and development tools available for Linux and an array of other operating systems. It includes support primarily for C and C++. It provides all of the infrastructure for building software in those languages from source code to assembly.

"What is GCC used for?" GCC is a toolchain that compiles code, links it with any library dependencies, converts that code to assembly, and then prepares executable files.It is responsible for the conversion of the “high level” source code in the respective language and ensuring that it is semantically valid, performing well formed optimizations, and converting it to assembly code (which is then handed off to the assembler).

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://courses.cs.washington.edu/courses/cse451/99wi/Section/gccintro.html'>Intro to GCC</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.javatpoint.com/gcc-linux'>GCC Linux</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.geeksforgeeks.org/gcc-command-in-linux-with-examples/'>GCC Commands</BadgeLink>

# make

The GNU Make is a tool which enables and controls the creation of executables and other non-source files of a program from the program's source files.
Make builds the program from a file called the makefile, which lists each of the non-source files and how to compute it from other files. When you write a program, you should write a makefile for it, so that it is possible to use Make to build and install the program.

"What is make used for?" Make enables the end user to build and install your package without knowing the details of how that is done -- because these details are recorded in the makefile that you supply.

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://makefiletutorial.com'>Makefile Tutorial</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.gnu.org/software/make/manual/'>Documentation for make</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.cs.swarthmore.edu/~newhall/unixhelp/howto_makefiles.html'>Using Make and writing Makefiles</BadgeLink>

# sbt

sbt is an open-source build tool for Scala and Java projects, similar to Apache's Maven and Ant. Its main features are: Native support for compiling Scala code and integrating with many Scala test frameworks. Continuous compilation, testing, and deployment.

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.scala-sbt.org/1.x/docs/'>Sbt Documentation</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.scala-sbt.org/1.x/docs/sbt-by-example.html'>Sbt By Example</BadgeLink>

# gradle

Gradle is a build automation tool known for its flexibility to build software. A build automation tool is used to automate the creation of applications. The building process includes compiling, linking, and packaging the code.

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.tutorialspoint.com/gradle/index.htm'>Gradle Tutorial</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://tomgregory.com/gradle-tutorial-for-complete-beginners/'>Gradle for absolute beginners</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://gradle.org/guides/'>Gradle Guides</BadgeLink>


