# Availability

Availability is the percentage of time that a system is functional and working as intended, generally referred to as uptime. Availability can be affected by hardware or software errors, infrastructure problems, malicious attacks, and system load. Many cloud providers typically offer their users a service level agreement (SLA) that specifies the exact percentages of promised uptime/downtime. Availability is related to reliability in this sense. For example, a company might promise 99.99% uptime for their services.

To achieve high levels of uptime, it is important to eliminate single points of failure so that a single device failure does not disrupt the entire service. High availability in the cloud is often achieved by creating clusters. Clusters are groups of devices (such as servers) that all have access to the same shared storage and function as one single server to provide uninterrupted availability. This way, if one server goes down, the others are able to pick up the load until it comes back online. Clusters can range from two servers to even multiple buildings of servers.

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink badgeText='Course' colorScheme='green' href='https://codster.io/en/blog/high-availability-in-the-cloud/'>How High Availability Works in the Cloud</BadgeLink>
<BadgeLink badgeText='Course' colorScheme='green' href='https://www.sqlservercentral.com/articles/cloud-computing-basics-achieving-high-availability-2'>Techniques for Achieving High Availability</BadgeLink>
