# Linked Lists

Arrays store elements in contiguous memory locations, resulting in easily calculable addresses for the elements stored and this allows faster access to an element at a specific index. Linked lists are less rigid in their storage structure and elements are usually not stored in contiguous locations, hence they need to be stored with additional tags giving a reference to the next element. This difference in the data storage scheme decides which data structure would be more suitable for a given situation.

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.youtube.com/watch?v=odW9FU8jPRQ'>Linked List Data Structure | Illustrated Data Structures</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.youtube.com/watch?v=F8AbOfQwl1c'>Linked Lists in 4 minutes</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.coursera.org/lecture/data-structures/singly-linked-lists-kHhgK'>Singly Linked Lists</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://archive.org/details/ucberkeley_webcast_htzJdKoEmO0'>CS 61B Lecture 7: Linked Lists I</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://archive.org/details/ucberkeley_webcast_-c4I3gFYe3w'>CS 61B Lecture 7: Linked Lists II</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.coursera.org/lecture/data-structures-optimizing-performance/core-linked-lists-vs-arrays-rjBs9'>Core: Linked Lists vs Arrays</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.coursera.org/lecture/data-structures-optimizing-performance/in-the-real-world-lists-vs-arrays-QUaUd'>In the Real World: Linked Lists vs Arrays</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.youtube.com/watch?v=YQs6IC-vgmo'>Why you should avoid Linked Lists?</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.coursera.org/lecture/data-structures/doubly-linked-lists-jpGKD'>Doubly Linked Lists</BadgeLink>
