# Builtin modules

Built-in modules are already installed with `Node.js`, so you don't need to install them with any package manager (yarn, npm, etc.).

- **fs**: dealing with the system files.
- **os**: provides information about the operation system.
- **net**: to build clients and servers.
- **path**: to handle file paths.
- **url**: help in parsing URL strings.
- **events**: provides a method for interacting with events.
- **http**: making Node.js transfer data over HTTP.
- **console**: to log information in the console.
- **assert**: provides a set of assertion tests.
- **process**: provides information about, and control over, the current process.
- **cluster**: able to creating child processes that runs simultaneously and share the same server port.
- **perf_hooks**: provides APIs for performance measurement
- **crypto**: to handle OpenSSL cryptographic functions.
- **Buffer**: provides APIs to handling streams of binary data.
- **DNS**: enables name resolution.
- **events**: for handling existing events and creating custon events.
- **child_processes**: provides the ability to spawn subprocesses.
- **REPL**: provides a Read-Eval-Print-Loop (REPL) implementation that is available both as a standalone program or includible in other applications.
- **readline**: provides an interface for reading data from a Readable stream one line at a time.
- **util**:  supports the needs of Node.js internal APIs. 
- **querystring**: provides utilities for parsing and formatting URL query strings.
- **string_decoder**: provides an API for decoding Buffer objects into strings.
- **tls**: provides an implementation of the Transport Layer Security (TLS) and Secure Socket Layer (SSL) protocols.

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='blue' badgeText='Official Website' href='https://nodejs.org/api/modules.html'>API documentation of Built-in modules</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.w3schools.com/nodejs/ref_modules.asp'>Built-in modules - w3schools</BadgeLink>
