# Lists, Tuples, Sets, and Dictionaries

**Lists:** are just like dynamic sized arrays, declared in other languages (vector in C++ and ArrayList in Java). Lists need not be homogeneous always which makes it the most powerful tool in Python.

**Tuple:** A Tuple is a collection of Python objects separated by commas. In some ways, a tuple is similar to a list in terms of indexing, nested objects, and repetition but a tuple is immutable, unlike lists that are mutable.

**Set:** A Set is an unordered collection data type that is iterable, mutable, and has no duplicate elements. Python’s set class represents the mathematical notion of a set.

**Dictionary:** In python, Dictionary is an ordered (since Py 3.7) [unordered (Py 3.6 & prior)] collection of data values, used to store data values like a map, which, unlike other Data Types that hold only a single value as an element, Dictionary holds key:value pair. Key-value is provided in the dictionary to make it more optimized.

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.youtube.com/watch?v=n0krwG38SHI'>Difference Between List, Tuple, Set and Dictionary in Python</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.geeksforgeeks.org/differences-and-applications-of-list-tuple-set-and-dictionary-in-python/'>Differences and Applications of List, Tuple, Set and Dictionary in Python</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://jerrynsh.com/tuples-vs-lists-vs-sets-in-python/'>Tuples vs. Lists vs. Sets in Python</BadgeLink>




