# Arrays and Linked lists

Arrays store elements in contiguous memory locations, resulting in easily calculable addresses for the elements stored and this allows faster access to an element at a specific index. Linked lists are less rigid in their storage structure and elements are usually not stored in contiguous locations, hence they need to be stored with additional tags giving a reference to the next element. This difference in the data storage scheme decides which data structure would be more suitable for a given situation.

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.geeksforgeeks.org/linked-list-vs-array/'>Linked Lists vs Arrays</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://towardsdatascience.com/a-complete-guide-to-linked-lists-in-python-c52b6cb005'>A Complete Guide to Linked Lists in Python</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.freecodecamp.org/news/python-array-tutorial-define-index-methods/'>Python Array Tutorial</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.geeksforgeeks.org/python-arrays/'>Python Arrays</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.edureka.co/blog/arrays-in-python/'>Arrays in Python</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.youtube.com/watch?v=QJNwK2uJyGs'>Array Data Structure | Illustrated Data Structures</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.youtube.com/watch?v=odW9FU8jPRQ'>Linked List Data Structure | Illustrated Data Structures</BadgeLink>




