# Heaps Stacks and Queues

**Stacks:** Operations are performed LIFO (last in, first out), which means that the last element added will be the first one removed. A stack can be implemented using an array or a linked list. If the stack runs out of memory, it’s called a stack overflow.

**Queue:** Operations are performed FIFO (first in, first out), which means that the first element added will be the first one removed. A queue can be implemented using an array.

**Heap:** A tree-based data structure in which the value of a parent node is ordered in a certain way with respect to the value of its child node(s). A heap can be either a min heap (the value of a parent node is less than or equal to the value of its children) or a max heap (the value of a parent node is greater than or equal to the value of its children).

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://stephanosterburg.gitbook.io/scrapbook/coding/coding-interview/data-structures/heaps-stacks-queues'>Heaps, Stacks, Queues</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.youtube.com/watch?v=I5lq6sCuABE'>Stack Data Structure | Illustrated Data Structures</BadgeLink>
<BadgeLink colorScheme='red' badgeText='Watch' href='https://www.youtube.com/watch?v=mDCi1lXd9hc'>Queue Data Structure | Illustrated Data Structures</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.geeksforgeeks.org/stack-in-python/'>Stack in Python</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://realpython.com/how-to-implement-python-stack/'>How to Implement Python Stack?</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.geeksforgeeks.org/queue-in-python/'>Queue in Python</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://realpython.com/queue-in-python/'>Python Stacks, Queues, and Priority Queues in Practice</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.educative.io/answers/heap-implementation-in-python'>Heap Implementation in Python</BadgeLink>

