# Atlassian tools

The Jira platform is, at its core, our workflow engine that allows you to track issues or tasks through a predefined and customizable workflow. These tasks can be organized by project, allowing for the entirety of your organization to track their issues at a project level with complete transparency using granular user permissions.

### Jira Service Desk
Jira Service Desk is for teams who receive incoming issues/requests from other teams/customers.
Jira Service Desk is designed specifically for end-users to submit tickets to a help desk team.

### Jira Core
Jira Core takes this workflow engine and caters it for business teams to develop organized, easy to use, task-oriented projects. Whether the tasks are a simple to-do list or a robust 7 step workflow with complex transitions, Jira Core is built to accommodate all of your requirements. Jira Core is an excellent solution for business teams, legal teams, HR teams, non-technical teams, marketing teams, financial teams, operation teams, and more.

### Confluence
Confluence is a collaboration wiki used to help teams collaborate and share knowledge efficiently. It acts as your document collaboration and repository as it keeps full tracking of what changed in each document, when, and by whom to keep an 'audit' trail.  Team members can create, share, and collaborate on content.

### Bitbucket
Bitbucket Server is the on-premises Git repository management solution for enterprise teams. It allows everyone in your organization to easily collaborate on your Git repositories.

### Statuspage
Statuspage helps teams inform customers and end-users about outages and scheduled maintenance. Statuspage is the communication piece of your incident management process. Keep users in the loop from 'investigating' through 'resolved'.

### Opsgenie
Opsgenie is a modern incident management solution for operating always-on services that enable dev and ops teams to stay aware and in control of alerts and incidents.

### Advanced Roadmaps for Jira
Advanced Roadmaps is a Jira Software Cloud Premium feature that's designed to help multiple teams collaborate together, track the big picture, identify dependencies across large pieces of work, and plan for team capacity.

Advanced Roadmaps is available as a standalone app for Jira Software Server and Data Center.

### Jira Align
Jira Align is an Enterprise Agile Planning platform that helps improve visibility, strategic alignment, and enterprise adaptability in order to accelerate your digital transformation.

<ResourceGroupTitle>Content</ResourceGroupTitle>
<BadgeLink colorScheme='blue' badgeText='Official Website' href='https://www.atlassian.com/software/jira/service-management/features/service-desk'>Jira Service Desk</BadgeLink>
<BadgeLink colorScheme='blue' badgeText='Official Website' href='https://www.atlassian.com/software/jira/work-management'>Jira Core</BadgeLink>
<BadgeLink colorScheme='blue' badgeText='Official Website' href='https://www.atlassian.com/wac/software/confluence?'>Confluence</BadgeLink>
<BadgeLink colorScheme='blue' badgeText='Official Website' href='https://bitbucket.org/product/'>Bitbucket</BadgeLink>
<BadgeLink colorScheme='blue' badgeText='Official Website' href='https://www.atlassian.com/software/statuspage'>Statuspage</BadgeLink>
<BadgeLink colorScheme='blue' badgeText='Official Website' href='https://www.atlassian.com/software/opsgenie'>Opsgenie</BadgeLink>
<BadgeLink colorScheme='blue' badgeText='Official Website' href='https://www.atlassian.com/software/jira/features/roadmaps'>Advanced Roadmaps for Jira</BadgeLink>
<BadgeLink colorScheme='blue' badgeText='Official Website' href='https://www.atlassian.com/software/jira/align'>Jira Align</BadgeLink>

