# Vulnerability Scanning

Vulnerability scanning identifies hosts and host attributes
(e.g., operating systems, applications, open ports), but it also attempts to identify vulnerabilities rather
than relying on human interpretation of the scanning results. Many vulnerability scanners are equipped to
accept results from network discovery and network port and service identification, which reduces the
amount of work needed for vulnerability scanning. 

Also, some scanners can perform their own network
discovery and network port and service identification. Vulnerability scanning can help identify outdated
software versions, missing patches, and misconfigurations, and validate compliance with or deviations
from an organization’s security policy.  

This is done by identifying the operating systems and major
software applications running on the hosts and matching them with information on known vulnerabilities
stored in the scanners’ vulnerability databases.

<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='blue' badgeText='Framework Website' href='https://csrc.nist.gov/glossary/term/vulnerability_scanning'>NIST Website</BadgeLink>